# Source Code Documentation #

#### Physics Simulation Modules ####

* [Base physics](@ref serac::BasePhysics)
* [Thermal conduction](@ref serac::ThermalConduction)
* [Solid mechanics](@ref serac::Solid)
* [Thermal-structural mechanics](@ref serac::ThermalSolid)

#### Simulation Utilities ####

* [Boundary conditions](@ref serac::BoundaryCondition)
* [Boundary condition manager](@ref serac::BoundaryConditionManager)
* [Finite element state](@ref serac::FiniteElementState)
* [Standard function operator](@ref serac::mfem_ext::StdFunctionOperator)

#### Numerics Utilities ####

* [Equation solver](@ref serac::mfem_ext::EquationSolver)
* [Solver configuration](@ref solver_config.hpp)
* [First order ODE solver](@ref serac::mfem_ext::FirstOrderODE)
* [Second order ODE solver](@ref serac::mfem_ext::SecondOrderODE)

#### Functional Interface ####

* <a style="font-weight:bold" href="classserac_1_1Functional_3_01test_07trial_08_4.html">Functional</a>
* [Domain integral](@ref serac::DomainIntegral)
* [Boundary integral](@ref serac::BoundaryIntegral)

#### Infrastructure ####

* <a style="font-weight:bold" href="accelerator_8hpp.html">Accelerator</a>
* <a style="font-weight:bold" href="cli_8hpp.html">Command line interface</a>
* <a style="font-weight:bold" href="initialize_8hpp.html">Initialize</a>
* <a style="font-weight:bold" href="input_8hpp.html">Input file</a>
* <a style="font-weight:bold" href="logger_8hpp.html">Logging</a>
* <a style="font-weight:bold" href="profiling_8hpp.html">Profiling</a>
* <a style="font-weight:bold" href="terminator_8hpp.html">Terminator</a>
